> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create website

> Creates a new website. `adminWalletAddress` can only be used when authenticating with an organization API key.



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/websites
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/websites:
    post:
      tags:
        - Website
      summary: Create website
      description: >-
        Creates a new website. `adminWalletAddress` can only be used when
        authenticating with an organization API key.
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationId:
                  type: string
                  format: uuid
                  minLength: 1
                  description: Organization ID for which this website is being created
                  example: 123e4567-e89b-12d3-a456-426614174001
                adminWalletAddress:
                  type: array
                  items:
                    type: string
                  maxItems: 2
                  description: >-
                    Optional admin wallet addresses to grant admin access on
                    creation (organization API key only). Maximum 2.
                  example:
                    - '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
                    - '0x66f820a414680b5bcda5eeca5dea238543f42054'
                name:
                  type: string
                  description: Name of the website
                  example: My New Website
                twitterUsername:
                  type: string
                  description: Twitter username of the website account
                  example: '@mywebsite'
                discordUrl:
                  type: string
                  description: Discord URL of the website account
                  example: https://discord.gg/mywebsite
                telegramUrl:
                  type: string
                  description: Telegram URL of the website account
                  example: https://t.me/mywebsite
                instagramUsername:
                  type: string
                  description: Instagram username of the website account
                  example: '@mywebsite'
                homeUrl:
                  type: string
                  description: Home URL of the official website
                  example: https://www.mywebsite.com
              required:
                - name
              title: Create Website
              description: Schema for creating a new website
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: Website ID
                    example: 123e4567-e89b-12d3-a456-426614174000
                  name:
                    type: string
                    description: Website name
                    example: My Website
                required:
                  - id
                  - name
                title: Website
                description: Schema representing a website
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````